import Vue from "vue";
import Router from "vue-router";
Vue.use(Router);
import home from "@/components/home";
import dashBoard from "@/components/dashBoard";
import profile from "@/components/profile";
import BookSearchPage from "@/components/BookSearchPage";
import Login from "@/components/login/Login";
import Logout from "@/components/login/Logout";
import SignUp from "@/components/login/SignUp";

export default new Router({
  mode: "history",
  routes: [
    {
      path: "/",
      name: "home",
      component: home
    },
    {
      path: "/dashBoard",
      name: "dashBoard",
      component: dashBoard
    },
    {
      path: "/profile",
      name: "profile",
      component: profile
    },
    {
      path: "/BookSearchPage",
      name: "bookindex",
      component: BookSearchPage
    },
    {
      path: "/login",
      name: "Login",
      component: Login
    },
    {
      path: "/logout",
      name: "Logout",
      component: Logout
    },
    {
      path: "/signUp",
      name: "SignUp",
      component: SignUp
    }
  ]
});
